cURL
curl --request POST \
--url https://www.atom.com/api/marketplace/confirm-orderimport requests
url = "https://www.atom.com/api/marketplace/confirm-order"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://www.atom.com/api/marketplace/confirm-order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.atom.com/api/marketplace/confirm-order",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.atom.com/api/marketplace/confirm-order"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.atom.com/api/marketplace/confirm-order")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.atom.com/api/marketplace/confirm-order")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Successfully Created Order",
"domain_name": "brightly.com",
"order_id": 98765,
"order_data": {
"order_id": 98765,
"order_status": "Completed",
"transfer_status": "Completed",
"transfer_option": "option2",
"domain_name": "brightly.com",
"sale_price": 9995,
"expected_net_payout": 8495.75,
"actual_net_payout": 8495.75,
"created_at": "2026-03-09 10:15:22",
"updated_at": "2026-03-09 11:02:01",
"domain": {
"id": 12345,
"domain_name": "brightly.com",
"status": "Purchased",
"full_price": 12995,
"selling_price": 9995,
"primary_category": "Technology",
"discount": 3000,
"description": "A bright, memorable brandable domain.",
"logo_image": "https://www.atom.com/logo/brightly.png",
"image_url": "https://www.atom.com/logo/brightly.png"
},
"order_financials": {
"base_sale_price": 9995,
"calculated_sale_price": 9995,
"expected_net_payout": 8495.75,
"actual_net_payout": 8495.75,
"commission_rate": 15
},
"transfer_details": {
"transfer_option": "option2",
"transfer_status": "Completed",
"transfer_registrar": "GoDaddy",
"transfer_auth_code": "AUTH-CODE-123"
},
"partner_meta": {
"user_id": 1001
}
}
}APIs List
Confirm Order
Confirm the purchase once payment has been collected and funds are verified. This finalizes the transaction and secures the transfer authorization code for your buyer.
POST
/
confirm-order
cURL
curl --request POST \
--url https://www.atom.com/api/marketplace/confirm-orderimport requests
url = "https://www.atom.com/api/marketplace/confirm-order"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://www.atom.com/api/marketplace/confirm-order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.atom.com/api/marketplace/confirm-order",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.atom.com/api/marketplace/confirm-order"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.atom.com/api/marketplace/confirm-order")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.atom.com/api/marketplace/confirm-order")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Successfully Created Order",
"domain_name": "brightly.com",
"order_id": 98765,
"order_data": {
"order_id": 98765,
"order_status": "Completed",
"transfer_status": "Completed",
"transfer_option": "option2",
"domain_name": "brightly.com",
"sale_price": 9995,
"expected_net_payout": 8495.75,
"actual_net_payout": 8495.75,
"created_at": "2026-03-09 10:15:22",
"updated_at": "2026-03-09 11:02:01",
"domain": {
"id": 12345,
"domain_name": "brightly.com",
"status": "Purchased",
"full_price": 12995,
"selling_price": 9995,
"primary_category": "Technology",
"discount": 3000,
"description": "A bright, memorable brandable domain.",
"logo_image": "https://www.atom.com/logo/brightly.png",
"image_url": "https://www.atom.com/logo/brightly.png"
},
"order_financials": {
"base_sale_price": 9995,
"calculated_sale_price": 9995,
"expected_net_payout": 8495.75,
"actual_net_payout": 8495.75,
"commission_rate": 15
},
"transfer_details": {
"transfer_option": "option2",
"transfer_status": "Completed",
"transfer_registrar": "GoDaddy",
"transfer_auth_code": "AUTH-CODE-123"
},
"partner_meta": {
"user_id": 1001
}
}
}Query Parameters
Your API key
Your Atom user ID
The domain's unique identifier
Custom payment amount if different from the listed selling price